cancel
Showing results for 
Search instead for 
Did you mean: 

gtk+- error

shyam singh bisht
Occasional Advisor

gtk+- error

Hi ! all

I am trying to install abiword-2.2.7 , I have downloaded the source code for it.

now, when i try to ./configure it gives me the error

package gtk+-2.0 was not found in the pkg-config search path.Perhaps you should add the directory containing 'gtk+-2.0.pc' to the PKG_CONFIG_PATH environment variable

I think I have to download the latest version of gtk+-2.0 , as i have gtk+-1.2.10

But what is this pkg-config search path & adding directories to PKG_CONFIG_PATH environment variable.

any kind of help will be appreciated.

I M A newbei

Thanks

Shyam Singh Bisht
3 REPLIES
Steven E. Protter
Exalted Contributor

Re: gtk+- error

Print the contents of PKG_CONFIG_PATH variable and compare them to any notes in the installation instructins.

Also, if you have a system this compile works on, compare the entire environment as follows:

env > /tmp/env.works
env > /tmp/env.notsogood # on nonworking system.

tranfer thte two files to one machine and use diff to compar them. Make changes to notsogood as needed and try again.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
renarios
Trusted Contributor

Re: gtk+- error

Hi Shyam,

Check if gtk+ is installed with rpm -qa gtk+.
If not installed, install with yim install gtk+ or download gtk+-****.rpm from site.

Cheerio,

Renarios
Nothing is more successfull as failure
HGN
Honored Contributor

Re: gtk+- error

Hi

I think you might be missing the gtk* package, run the command
#rpm -qa |grep -i gtk

If it does not return anything you need to download and install it with it's dependencies.

Rgds

HGN